import request from '@/utils/request'

// 查询科密对应关系列表
export function listContent(query) {
  return request({
    url: '/buyer/content/list',
    method: 'get',
    params: query
  })
}

// 查询科密对应关系详细
export function getContent(id) {
  return request({
    url: '/buyer/content/' + id,
    method: 'get'
  })
}

// 新增科密对应关系
export function addContent(data) {
  return request({
    url: '/buyer/content',
    method: 'post',
    data: data
  })
}

// 修改科密对应关系
export function updateContent(data) {
  return request({
    url: '/buyer/content',
    method: 'put',
    data: data
  })
}

// 删除科密对应关系
export function delContent(id) {
  return request({
    url: '/buyer/content/' + id,
    method: 'delete'
  })
}
